com.dlsc.flexgantt.policy.layer

## Class DefaultPopupPolicy

- java.lang.Object
- - com.dlsc.flexgantt.policy.AbstractPolicy
  - - com.dlsc.flexgantt.policy.layer.DefaultPopupPolicy

- All Implemented Interfaces:
    IPolicy, IPopupPolicy

      public class DefaultPopupPolicy
      extends AbstractPolicy
      implements IPopupPolicy

  The default implementation of `IPopupPolicy`. For more information please refer to the interface documentation.
  Since:
    1.0
  Version:
    $Revision: 1.10 $
  Author:
    Dirk Lemmermann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPopupPolicy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getPopupTitleValue(IRelationship relationship, IGanttChartModel model)` Returns an object that can be utilized to provide a title for a popup for a relationship.
    `Object` | `getPopupTitleValue(TimelineObjectPath path, IGanttChartModel model)` Returns an object that can be utilized to provide a title for a popup of a timeline object.
    `Object` | `getPopupTitleValue(TreePath path, IGanttChartModel model)` Returns an object that can be utilized to provide a title for a popup for a node in the tree table.
    `Object` | `getPopupValue(IRelationship relationship, IGanttChartModel model, boolean extended)` Returns an object that can be utilized to provide some kind of popup for a relationship.
    `Object` | `getPopupValue(TimelineObjectPath path, IGanttChartModel model, boolean extended)` Returns an object that can be utilized to provide some kind of popup for a timeline object.
    `Object` | `getPopupValue(TreePath path, IGanttChartModel model, boolean extended)` Returns an object that can be utilized to provide some kind of popup for a node in the tree table.

    - ### Methods inherited from class com.dlsc.flexgantt.policy.AbstractPolicy

      `assertClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPopupPolicy

          public DefaultPopupPolicy()

  - ### Method Detail

    - #### getPopupValue

          public Object getPopupValue(TimelineObjectPath path,
                                      IGanttChartModel model,
                                      boolean extended)

      Description copied from interface: `IPopupPolicy`
      Returns an object that can be utilized to provide some kind of popup for a timeline object.
      Specified by:
        `getPopupValue` in interface `IPopupPolicy`
      Parameters:
        `path` - the path to the timeline object for which to return a popup value
        `model` - the data source that returned the node and timeline object
        `extended` - a flag that signals whether the user wants to see the standard popup information or an extended version
      Returns:
        an arbitrary object that must be interpreted by the popup renderer in order to visualize something meaningful for the user

    - #### getPopupTitleValue

          public Object getPopupTitleValue(TimelineObjectPath path,
                                           IGanttChartModel model)

      Description copied from interface: `IPopupPolicy`
      Returns an object that can be utilized to provide a title for a popup of a timeline object.
      Specified by:
        `getPopupTitleValue` in interface `IPopupPolicy`
      Parameters:
        `path` - the path to the timeline object for which to return a popup title value
        `model` - the data source that returned the node and timeline object
      Returns:
        an arbitrary object that must be interpreted by the popup renderer in order to visualize something meaningful for the user

    - #### getPopupValue

          public Object getPopupValue(TreePath path,
                                      IGanttChartModel model,
                                      boolean extended)

      Description copied from interface: `IPopupPolicy`
      Returns an object that can be utilized to provide some kind of popup for a node in the tree table.
      Specified by:
        `getPopupValue` in interface `IPopupPolicy`
      Parameters:
        `path` - the path to the tree node for which to return a popup object
        `model` - the data source that returned the node and timeline object
        `extended` - a flag that signals whether the user wants to see the standard popup information or the extended version
      Returns:
        an arbitrary object that must be interpreted by the popup renderer in order to visualize something meaningful for the user

    - #### getPopupTitleValue

          public Object getPopupTitleValue(TreePath path,
                                           IGanttChartModel model)

      Description copied from interface: `IPopupPolicy`
      Returns an object that can be utilized to provide a title for a popup for a node in the tree table.
      Specified by:
        `getPopupTitleValue` in interface `IPopupPolicy`
      Parameters:
        `path` - the path to the tree node for which to return a popup object
        `model` - the data source that returned the node and timeline object
      Returns:
        an arbitrary object that must be interpreted by the popup renderer in order to visualize something meaningful for the user

    - #### getPopupValue

          public Object getPopupValue(IRelationship relationship,
                                      IGanttChartModel model,
                                      boolean extended)

      Description copied from interface: `IPopupPolicy`
      Returns an object that can be utilized to provide some kind of popup for a relationship.
      Specified by:
        `getPopupValue` in interface `IPopupPolicy`
      Parameters:
        `relationship` - the relationship for which to return a popup object
        `model` - the data source that returned the relationship
        `extended` - a flag that signals whether the user wants to see the standard popup information or the extended version
      Returns:
        an arbitrary object that must be interpreted by the popup renderer in order to visualize something meaningful for the user

    - #### getPopupTitleValue

          public Object getPopupTitleValue(IRelationship relationship,
                                           IGanttChartModel model)

      Description copied from interface: `IPopupPolicy`
      Returns an object that can be utilized to provide a title for a popup for a relationship.
      Specified by:
        `getPopupTitleValue` in interface `IPopupPolicy`
      Parameters:
        `relationship` - the relationship for which to return a popup object
        `model` - the data source that returned the relationship
      Returns:
        an arbitrary object that must be interpreted by the popup renderer in order to visualize something meaningful for the user

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.